package com.bzd.system.service.kc.bb;

import com.bzd.common.config.dao.DaoBase;
import com.bzd.common.config.dao.DaoSupport;
import com.bzd.common.config.dao.PageData;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import javax.annotation.Resource;
import java.util.List;


/**
*
* 验收入库报表 service
* @author LiXiangFei
* @since 2024-10-14
*/

@Service
public class SKcBbProductinspectionService {

    @Autowired
    private DaoBase dao;

    @Resource(name = "daoSupport")
    private DaoSupport daoSupport;

    public Integer addSKcBbProductinspection(PageData pd)throws Exception {
        return daoSupport.update("SKcBbProductinspectionMapper.addSKcBbProductinspection", pd);
    }

    public List<PageData> findSKcBbProductinspectionList(PageData pd) throws Exception{
        return (List<PageData>) daoSupport.findForList("SKcBbProductinspectionMapper.selectSKcBbProductinspectionList", pd);
    }

    public Integer SKcBbProductinspectionRemove(PageData pd)throws Exception {
        return daoSupport.delete("SKcBbProductinspectionMapper.SKcBbProductinspectionRemove", pd);
    }


    public Integer updateSKcBbProductinspection(PageData pd)throws Exception {
        return daoSupport.update("SKcBbProductinspectionMapper.updateSKcBbProductinspection", pd);
    }

}
